# Integration 

### Integration 
If you wish to get the affordability for a given consent, you can do so using the `GET /affordability/v1/consents/:consentId` endpoint. Please ensure that this product is enabled for your app by talking to support before using this endpoint.
There is one additional request parameters that can be specified when making a request:
* `includeFlexibleCosts`, when `true`, returns transactions marked as flexible and will include those transactions in the affordability calculation. When this value is `false`, it will still return the transactions marked as flexible but will omit those transactions from the affordability calculation. Please note that `flexibleCosts` and `estimatedFlexibleCosts` values will be still shown in case there have been transactions that are associated with flexible costs, but these values are not taken into account while calculating `estimatedAffordability`. Note, the default value for this parameter is `true`

In response to your call, you will receive a JSON object containing each months affordability with an estimated total for the months supplied with the account details.

Version: all
